Bug 816967 - Review Request: fest-swing - FEST Swing
Review Request: fest-swing - FEST Swing
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Omair Majid
Fedora Extras Quality Assurance
:
Depends On: 816264 816926 816927 816957 816962
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 07:19 EDT by Mario Torre
Modified: 2013-07-23 18:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 18:16:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
omajid: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 2 Mario Torre 2012-05-03 17:45:14 EDT
The same way we did for fest-assert, I renamed the package to match upstream release.

http://neugens.fedorapeople.org/fest-swing/fest-swing-1.x.spec
http://neugens.fedorapeople.org/fest-swing/fest-swing-1.x-1.2.1-3.fc16.src.rpm
Comment 3 Mario Torre 2012-05-03 18:35:42 EDT
Again, according to packaging guidelines this should be the right name:

http://neugens.fedorapeople.org/fest-swing/fest-swing.spec
http://neugens.fedorapeople.org/fest-swing/fest-swing-1.2.1-4.fc16.src.rpm
Comment 4 Omair Majid 2012-05-03 20:08:44 EDT
I will review this.
Comment 5 Omair Majid 2012-05-03 20:45:51 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

fest-swing.src: W: invalid-url Source0: fest-swing-1.2.1.tar.bz2

Okay. Upstream, being the kind souls they are, decided that source releases are for chumps.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[!]  Package successfully compiles and builds into binary rpms.

fest-assert and fest-reflect have not been added to fedora yet.

[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: ASL 2.0
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[!]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : d50b727ea482171bac2058d30f1433b4
MD5SUM upstream package: af59db20be399f4b14a0511d6372772e

The "upstream" package is a package I produced following the instructions in the spec file. There are svn-related files in the checkout. Perhaps using "svn export" followed by tarring will work around that?

[!]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].

multithreadedtc is listed as a test dependency in the pom. Can it be removed the BuildRequires?

[!]  Package must own all directories that it creates or must require other packages for directories it uses.

Missing "Requires: jpackage-utils" for main package.

[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[x]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[-]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary

Exact dependency on other fest-* packages is okay.

[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[?]  Reviewer should test that the package builds in mock.

Can't build package in mock due to missing dependencies in fedora.

=== Issues ===
1. Please add build dependencies to Fedora and make sure the package builds in mock.
2. Please find a way to create code archives that can be verified. Perhaps you can grab the zip from upstream release and extract it to find the source zip?
3. Please remove multithreadedtc as a dependency if possible.
4. Please add a "Requires: jpackage-utils" for the main package.

[1] https://fedoraproject.org/wiki/Packaging:NamingGuidelines
[2] https://fedoraproject.org/wiki/Packaging:Guidelines
[3] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines
[4] https://fedoraproject.org/wiki/Licensing:Main
[5] https://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2 
[6] https://fedoraproject.org/wiki/Packaging:Java#Filenames
Comment 6 Mario Torre 2012-05-04 09:35:01 EDT
I updated the stuff:

http://neugens.fedorapeople.org/fest-swing/fest-swing.spec
http://neugens.fedorapeople.org/fest-swing/fest-swing-1.2.1-5.fc16.src.rpm

I could not find a better way to pack the sources, upstream doesn't provide them.

I could just as well store them on my own server, or build from the maven central stored jar (but this means I have to duplicate the build code and directory layout for something that is not upstream anyway, so I don't think makes any sense).
Comment 7 Omair Majid 2012-05-04 16:04:20 EDT
The package builds and looks fine. I have one minor nit: the patch SOURCES/fix-assert-deps.patch creates unnecessary new files. Please clean it up.
Comment 9 Omair Majid 2012-05-04 16:29:08 EDT
================
*** APPROVED ***
================
Comment 10 Mario Torre 2012-05-04 16:45:26 EDT
New Package SCM Request
=======================
Package Name: fest-swing
Short Description: FEST Swing
Owners: neugens omajid rkennke jvanalte
Branches: f17
InitialCC: java-sig
Comment 11 Jon Ciesla 2012-05-06 17:00:45 EDT
Git done (by process-git-requests).
Comment 12 Omair Majid 2013-07-23 18:16:30 EDT
This bug should have been closed a while ago. fest-swing was built in fedora successfully:

http://koji.fedoraproject.org/koji/buildinfo?buildID=317744
http://koji.fedoraproject.org/koji/buildinfo?buildID=386297

Note You need to log in before you can comment on or make changes to this bug.